Skip to main content
PATCH
/
api
/
v1
/
decoys
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.decoy.update({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "decoy": {
    "annotations": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "disabled": true,
    "displayName": "<string>",
    "id": "<string>",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "materialFingerprintSha256": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required
read-only

The id field.

Body

application/json

The DecoyServiceUpdateRequest message.

decoy
Decoy · object

Decoy is the read projection of a planted honey-credential. All fields except annotations are server-managed.

updateMask
string | null

Response

200 - application/json

Successful response

The DecoyServiceUpdateResponse message.

decoy
Decoy · object

Decoy is the read projection of a planted honey-credential. All fields except annotations are server-managed.